PLplot: qsastimeP.h File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Classes | Macros | Typedefs | Functions
qsastimeP.h File Reference
`#include "qsastime.h"`

Go to the source code of this file.

## Classes
struct | MJDtimeStruct
struct | QSASConfigStruct

## Macros
#define | QSASTIME_static static

## Typedefs
typedef struct MJDtimeStruct | MJDtime

## Functions
QSASTIME_static void | bhunt_search (const void *key, const void *base, int n, size_t size, int *low, int(*ge)(const void *keyval, const void *datum))
QSASTIME_static int | setFromUT (int year, int month, int day, int hour, int min, double sec, MJDtime *MJD, int forceJulian)
QSASTIME_static void | breakDownMJD (int *year, int *month, int *day, int *hour, int *min, double *sec, const MJDtime *MJD, int forceJulian)
QSASTIME_static size_t | strfMJD (char *buf, size_t len, const char *format, const MJDtime *MJD, int forceJulian, int if60secformat)
QSASTIME_static void | normalize_MJD (MJDtime *MJD)
QSASTIME_static const char * | getDayOfWeek (const MJDtime *MJD)
QSASTIME_static const char * | getLongDayOfWeek (const MJDtime *MJD)
QSASTIME_static const char * | getMonth (int m)
QSASTIME_static const char * | getLongMonth (int m)
QSASTIME_static void | getYAD (int *year, int *ifleapyear, int *doy, const MJDtime *MJD, int forceJulian)

## Macro Definition Documentation

#define QSASTIME_static static

Definition at line 68 of file qsastimeP.h.

## Typedef Documentation

typedef struct MJDtimeStruct MJDtime

## Function Documentation

QSASTIME_static void bhunt_search | ( | const void * | key,
|  | const void * | base,
|  | int | n,
|  | size_t | size,
|  | int * | low,
|  | int(*)(const void *keyval, const void *datum) | ge
| ) |  |

Definition at line 1312 of file qsastime.c.

QSASTIME_static void breakDownMJD | ( | int * | year,
|  | int * | month,
|  | int * | day,
|  | int * | hour,
|  | int * | min,
|  | double * | sec,
|  | const MJDtime * | MJD,
|  | int | forceJulian
| ) |  |

Definition at line 289 of file qsastime.c.

QSASTIME_static const char* getDayOfWeek | ( | const MJDtime * | MJD | ) |

Definition at line 334 of file qsastime.c.

QSASTIME_static const char* getLongDayOfWeek | ( | const MJDtime * | MJD | ) |

Definition at line 343 of file qsastime.c.

QSASTIME_static const char* getLongMonth | ( | int | m | ) |

Definition at line 358 of file qsastime.c.

QSASTIME_static const char* getMonth | ( | int | m | ) |

Definition at line 352 of file qsastime.c.

QSASTIME_static void getYAD | ( | int * | year,
|  | int * | ifleapyear,
|  | int * | doy,
|  | const MJDtime * | MJD,
|  | int | forceJulian
| ) |  |

Definition at line 175 of file qsastime.c.

QSASTIME_static void normalize_MJD | ( | MJDtime * | MJD | ) |

Definition at line 270 of file qsastime.c.

QSASTIME_static int setFromUT | ( | int | year,
|  | int | month,
|  | int | day,
|  | int | hour,
|  | int | min,
|  | double | sec,
|  | MJDtime * | MJD,
|  | int | forceJulian
| ) |  |

Definition at line 71 of file qsastime.c.

QSASTIME_static size_t strfMJD | ( | char * | buf,
|  | size_t | len,
|  | const char * | format,
|  | const MJDtime * | MJD,
|  | int | forceJulian,
|  | int | if60secformat
| ) |  |

Definition at line 365 of file qsastime.c.